ColumnFamilyStoreMBean (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Interface ColumnFamilyStoreMBean

All Known Implementing Classes:
  ColumnFamilyStore

    public interface ColumnFamilyStoreMBean

The MBean interface for ColumnFamilyStore

Method Summary
`void` | `disableAutoCompaction()` Disable automatic compaction.
`long` | `estimateKeys()`
`java.lang.Object` | `forceFlush()` Triggers an immediate memtable flush.
`void` | `forceMajorCompaction()` force a major compaction of this column family
`long` | `getBloomFilterDiskSpaceUsed()`
`long` | `getBloomFilterFalsePositives()`
`double` | `getBloomFilterFalseRatio()`
`java.util.List<java.lang.String>` | `getBuiltIndexes()` Returns a list of the names of the built column indexes for current store
`java.lang.String` | `getColumnFamilyName()`
`java.lang.String` | `getCompactionStrategyClass()` Gets the compaction strategy class name
`double` | `getCompressionRatio()`
`long[]` | `getEstimatedColumnCountHistogram()`
`long[]` | `getEstimatedRowSizeHistogram()`
`int` | `getKeyCacheSavePeriodInSeconds()`
`long[]` | `getLifetimeReadLatencyHistogramMicros()`
`long[]` | `getLifetimeWriteLatencyHistogramMicros()`
`long` | `getLiveDiskSpaceUsed()`
`int` | `getLiveSSTableCount()`
`int` | `getMaximumCompactionThreshold()` Gets the maximum number of sstables in queue before compaction kicks off
`long` | `getMaxRowSize()` return the size of the largest compacted row
`long` | `getMeanRowSize()` return the mean size of the rows compacted
`long` | `getMemtableColumnsCount()` Returns the total number of columns present in the memtable.
`long` | `getMemtableDataSize()` Returns the total amount of data stored in the memtable, including column related overhead.
`int` | `getMemtableSwitchCount()` Returns the number of times that a flush has resulted in the memtable being switched out.
`int` | `getMinimumCompactionThreshold()` Gets the minimum number of sstables in queue before compaction kicks off
`long` | `getMinRowSize()` return the size of the smallest compacted row
`int` | `getPendingTasks()`
`long` | `getReadCount()`
`long` | `getRecentBloomFilterFalsePositives()`
`double` | `getRecentBloomFilterFalseRatio()`
`long[]` | `getRecentReadLatencyHistogramMicros()`
`double` | `getRecentReadLatencyMicros()`
`long[]` | `getRecentSSTablesPerReadHistogram()`
`long[]` | `getRecentWriteLatencyHistogramMicros()`
`double` | `getRecentWriteLatencyMicros()`
`int` | `getRowCacheKeysToSave()`
`int` | `getRowCacheSavePeriodInSeconds()`
`long[]` | `getSSTablesPerReadHistogram()`
`long` | `getTotalDiskSpaceUsed()`
`long` | `getTotalReadLatencyMicros()`
`long` | `getTotalWriteLatencyMicros()`
`int` | `getUnleveledSSTables()`
`long` | `getWriteCount()`
`void` | `invalidateKeyCache()` invalidate the key cache; for use after invalidating row cache
`void` | `invalidateRowCache()` invalidate the row cache; for use after bulk loading via BinaryMemtable
`void` | `loadNewSSTables()` Scan through Keyspace/ColumnFamily's data directory determine which SSTables should be loaded and load them
`void` | `setCompactionStrategyClass(java.lang.String className)` Sets the compaction strategy by class name
`void` | `setKeyCacheSavePeriodInSeconds(int kcspis)`
`void` | `setMaximumCompactionThreshold(int threshold)` Sets the maximum number of sstables in queue before compaction kicks off
`void` | `setMinimumCompactionThreshold(int threshold)` Sets the minimum number of sstables in queue before compaction kicks off
`void` | `setRowCacheKeysToSave(int keysToSave)`
`void` | `setRowCacheSavePeriodInSeconds(int rcspis)`

Method Detail

### getColumnFamilyName

    java.lang.String getColumnFamilyName()

  Returns:
    the name of the column family

### getMemtableDataSize

    long getMemtableDataSize()

  Returns the total amount of data stored in the memtable, including column related overhead.

  Returns:
    The size in bytes.

### getMemtableColumnsCount

    long getMemtableColumnsCount()

  Returns the total number of columns present in the memtable.

  Returns:
    The number of columns.

### getMemtableSwitchCount

    int getMemtableSwitchCount()

  Returns the number of times that a flush has resulted in the memtable being switched out.

  Returns:
    the number of memtable switches

### forceFlush

    java.lang.Object forceFlush()
                                throws java.io.IOException

  Triggers an immediate memtable flush.

  Throws:
    `java.io.IOException`

### getRecentSSTablesPerReadHistogram

    long[] getRecentSSTablesPerReadHistogram()

  Returns:
    a histogram of the number of sstable data files accessed per read: reading this property resets it

### getSSTablesPerReadHistogram

    long[] getSSTablesPerReadHistogram()

  Returns:
    a histogram of the number of sstable data files accessed per read

### getReadCount

    long getReadCount()

  Returns:
    the number of read operations on this column family

### getTotalReadLatencyMicros

    long getTotalReadLatencyMicros()

  Returns:
    total read latency (divide by getReadCount() for average)

### getLifetimeReadLatencyHistogramMicros

    long[] getLifetimeReadLatencyHistogramMicros()

  Returns:
    an array representing the latency histogram

### getRecentReadLatencyHistogramMicros

    long[] getRecentReadLatencyHistogramMicros()

  Returns:
    an array representing the latency histogram

### getRecentReadLatencyMicros

    double getRecentReadLatencyMicros()

  Returns:
    average latency per read operation since the last call

### getWriteCount

    long getWriteCount()

  Returns:
    the number of write operations on this column family

### getTotalWriteLatencyMicros

    long getTotalWriteLatencyMicros()

  Returns:
    total write latency (divide by getReadCount() for average)

### getLifetimeWriteLatencyHistogramMicros

    long[] getLifetimeWriteLatencyHistogramMicros()

  Returns:
    an array representing the latency histogram

### getRecentWriteLatencyHistogramMicros

    long[] getRecentWriteLatencyHistogramMicros()

  Returns:
    an array representing the latency histogram

### getRecentWriteLatencyMicros

    double getRecentWriteLatencyMicros()

  Returns:
    average latency per write operation since the last call

### getPendingTasks

    int getPendingTasks()

  Returns:
    the estimated number of tasks pending for this column family

### getLiveSSTableCount

    int getLiveSSTableCount()

  Returns:
    the number of SSTables on disk for this CF

### getLiveDiskSpaceUsed

    long getLiveDiskSpaceUsed()

  Returns:
    disk space used by SSTables belonging to this CF

### getTotalDiskSpaceUsed

    long getTotalDiskSpaceUsed()

  Returns:
    total disk space used by SSTables belonging to this CF, including obsolete ones waiting to be GC'd

### forceMajorCompaction

    void forceMajorCompaction()
                              throws java.util.concurrent.ExecutionException,
                                     java.lang.InterruptedException

  force a major compaction of this column family

  Throws:
    `java.util.concurrent.ExecutionException`
    `java.lang.InterruptedException`

### invalidateKeyCache

    void invalidateKeyCache()

  invalidate the key cache; for use after invalidating row cache

### invalidateRowCache

    void invalidateRowCache()

  invalidate the row cache; for use after bulk loading via BinaryMemtable

### getMinRowSize

    long getMinRowSize()

  return the size of the smallest compacted row

  Returns:

### getMaxRowSize

    long getMaxRowSize()

  return the size of the largest compacted row

  Returns:

### getMeanRowSize

    long getMeanRowSize()

  return the mean size of the rows compacted

  Returns:

### getBloomFilterFalsePositives

    long getBloomFilterFalsePositives()

### getRecentBloomFilterFalsePositives

    long getRecentBloomFilterFalsePositives()

### getBloomFilterFalseRatio

    double getBloomFilterFalseRatio()

### getRecentBloomFilterFalseRatio

    double getRecentBloomFilterFalseRatio()

### getBloomFilterDiskSpaceUsed

    long getBloomFilterDiskSpaceUsed()

### getMinimumCompactionThreshold

    int getMinimumCompactionThreshold()

  Gets the minimum number of sstables in queue before compaction kicks off

### setMinimumCompactionThreshold

    void setMinimumCompactionThreshold(int threshold)

  Sets the minimum number of sstables in queue before compaction kicks off

### getMaximumCompactionThreshold

    int getMaximumCompactionThreshold()

  Gets the maximum number of sstables in queue before compaction kicks off

### setMaximumCompactionThreshold

    void setMaximumCompactionThreshold(int threshold)

  Sets the maximum number of sstables in queue before compaction kicks off

### setCompactionStrategyClass

    void setCompactionStrategyClass(java.lang.String className)
                                    throws ConfigurationException

  Sets the compaction strategy by class name

  Parameters:
    `className` - the name of the compaction strategy class
  Throws:
    `ConfigurationException`

### getCompactionStrategyClass

    java.lang.String getCompactionStrategyClass()

  Gets the compaction strategy class name

### disableAutoCompaction

    void disableAutoCompaction()

  Disable automatic compaction.

### estimateKeys

    long estimateKeys()

### getEstimatedRowSizeHistogram

    long[] getEstimatedRowSizeHistogram()

### getEstimatedColumnCountHistogram

    long[] getEstimatedColumnCountHistogram()

### getCompressionRatio

    double getCompressionRatio()

### getBuiltIndexes

    java.util.List<java.lang.String> getBuiltIndexes()

  Returns a list of the names of the built column indexes for current store

  Returns:
    list of the index names

### getRowCacheSavePeriodInSeconds

    int getRowCacheSavePeriodInSeconds()

### setRowCacheSavePeriodInSeconds

    void setRowCacheSavePeriodInSeconds(int rcspis)

### getKeyCacheSavePeriodInSeconds

    int getKeyCacheSavePeriodInSeconds()

### setKeyCacheSavePeriodInSeconds

    void setKeyCacheSavePeriodInSeconds(int kcspis)

### getRowCacheKeysToSave

    int getRowCacheKeysToSave()

### setRowCacheKeysToSave

    void setRowCacheKeysToSave(int keysToSave)

### loadNewSSTables

    void loadNewSSTables()

  Scan through Keyspace/ColumnFamily's data directory determine which SSTables should be loaded and load them

### getUnleveledSSTables

    int getUnleveledSSTables()

  Returns:
    the number of SSTables in L0. Always return 0 if Leveled compaction is not enabled.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation